
/*

CLASS {Table|_for_primary_compiler_DUMMY}, UNTESTED :

////////////////////////////////////////////////////////////////////////////////
// Dummy version for old compiler.
////////////////////////////////////////////////////////////////////////////////

IMPORT: {Type}, {Variable}, {Parser}, {Expression}, {Statement} ;

{Type} Base_|record_
STR		Name_actual
STR		Names|_of_table[]
----------------------------------- 'compile position'
INT		Line|_start_compile
INT		Pos|ition_start_compile
BOOL	Compiled

FUN Check_table_base_structure_field_type( 
	{Var} Field|_to_check_Dummy,
	{Parser} Parse|_of_source_Dummy ) : .
	
METHOD Handle_specification( {Parser} Parse|_of_source_Dummy ) : .
				 
FUNCTION Recognize_SQL(
STR Key|word_SQL_Dummy, 
{Parser} Parse|_of_source_Dummy) ==> {Expr}, NEW : . 
	
METHOD Translate_read_from_db(
{Expr} Left|_record_Dummy, 
{Expr} Right|_database_Dummy, 
{Statement} Block|_to_add_to_Dummy_Dynamic[]) : .
	
END

*/
